LoftedFlangeBuilder Class

class NXOpen.Features.SheetMetal.LoftedFlangeBuilder

Bases: NXOpen.Features.SheetMetal.SheetmetalBaseBuilder

Represents a Lofted Flange feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateLoftedFlangeFeatureBuilder()

Default values.

Property Value
IndexMarkLength.Value 5 (millimeters part), 0.5 (inches part)
NumberOfBendSegments 0
UseSegmentedBends 0

New in version NX4.0.0.

Properties

Property Description
BendOptions Returns the bend options object.
EndSection Returns or sets the end section of the lofted flange.
EndSectionPoint Returns or sets the start/end point of the end section.
EndSketch Returns or sets the end section sketch as slave.
IndexMarkLength Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view
IsSecondary Returns or sets the type of lofted flange feature - base lofted flange/secondary lofted flange.
NumberOfBendSegments Returns or sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
StartSection Returns or sets the start section of the lofted flange.
StartSectionPoint Returns or sets the start/end point of the start section.
StartSketch Returns or sets the start section sketch as slave.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
ThicknessSide Returns or sets the thickness side of base lofted flange.
UseSegmentedBends Returns or sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetApplicationContext Get the application context.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
GetThickness The thickness of base lofted flange.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetApplicationContext Set the application context.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetThickness The thickness of base lofted flange.
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.
ValidateBuilderData Verify user data validity.

Enumerations

LoftedFlangeBuilderSectionSideOptions Enumeration This enum represents the side of the section that the lofted flange creates thickness.

Property Detail

BendOptions

LoftedFlangeBuilder.BendOptions

Returns the bend options object.

Get the bend options object which is created while creating builder. Then set values to parameters of bend options object(like bend radius, bend relief type etc.) using set methods of bend options object.

-------------------------------------

Getter Method

Signature BendOptions

Returns:
Return type:NXOpen.Features.SheetMetal.BendOptions

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

EndSection

LoftedFlangeBuilder.EndSection

Returns or sets the end section of the lofted flange.

The section profile should be open looped.

-------------------------------------

Getter Method

Signature EndSection

Returns:
Return type:NXOpen.Section

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature EndSection

Parameters:endSection (NXOpen.Section) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

EndSectionPoint

LoftedFlangeBuilder.EndSectionPoint

Returns or sets the start/end point of the end section.

It can be start/end point of the section profile.

-------------------------------------

Getter Method

Signature EndSectionPoint

Returns:point
Return type:NXOpen.Point3d

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature EndSectionPoint

Parameters:point (NXOpen.Point3d) – point

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

EndSketch

LoftedFlangeBuilder.EndSketch

Returns or sets the end section sketch as slave.

Set the sketch which is used to create end section. This is only used when the section is created from sketch. If the section is created from edges or if the end sketch is not required to be slave, set the value as None .

-------------------------------------

Getter Method

Signature EndSketch

Returns:
Return type:NXOpen.Features.SketchFeature

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature EndSketch

Parameters:slaveEndSketch (NXOpen.Features.SketchFeature) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

IndexMarkLength

LoftedFlangeBuilder.IndexMarkLength

Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view

-------------------------------------

Getter Method

Signature IndexMarkLength

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: None.

IsSecondary

LoftedFlangeBuilder.IsSecondary

Returns or sets the type of lofted flange feature - base lofted flange/secondary lofted flange.

Specify false for base lofted flanges and true for secondary lofted flanges.

-------------------------------------

Getter Method

Signature IsSecondary

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature IsSecondary

Parameters:isSecondary (bool) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

NumberOfBendSegments

LoftedFlangeBuilder.NumberOfBendSegments

Returns or sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set

-------------------------------------

Getter Method

Signature NumberOfBendSegments

Returns:
Return type:int

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature NumberOfBendSegments

Parameters:numberOfBendSegments (int) –

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

StartSection

LoftedFlangeBuilder.StartSection

Returns or sets the start section of the lofted flange.

The section profile should be open looped.

-------------------------------------

Getter Method

Signature StartSection

Returns:
Return type:NXOpen.Section

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature StartSection

Parameters:startSection (NXOpen.Section) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

StartSectionPoint

LoftedFlangeBuilder.StartSectionPoint

Returns or sets the start/end point of the start section.

It can be start/end point of the section profile.

-------------------------------------

Getter Method

Signature StartSectionPoint

Returns:point
Return type:NXOpen.Point3d

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature StartSectionPoint

Parameters:point (NXOpen.Point3d) – point

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

StartSketch

LoftedFlangeBuilder.StartSketch

Returns or sets the start section sketch as slave.

Set the sketch which is used to create start section. This is only used when the section is created from sketch. If the section is created from edges or start sketch is not required to be slave, set slave sketch as None.

-------------------------------------

Getter Method

Signature StartSketch

Returns:
Return type:NXOpen.Features.SketchFeature

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature StartSketch

Parameters:slaveStartSketch (NXOpen.Features.SketchFeature) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

ThicknessSide

LoftedFlangeBuilder.ThicknessSide

Returns or sets the thickness side of base lofted flange.

-------------------------------------

Getter Method

Signature ThicknessSide

Returns:
Return type:NXOpen.Features.SheetMetal.LoftedFlangeBuilderSectionSideOptions

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature ThicknessSide

Parameters:thickSide (NXOpen.Features.SheetMetal.LoftedFlangeBuilderSectionSideOptions) –

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

UseSegmentedBends

LoftedFlangeBuilder.UseSegmentedBends

Returns or sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user

-------------------------------------

Getter Method

Signature UseSegmentedBends

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseSegmentedBends

Parameters:useMultiSegmentBends (bool) –

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Method Detail

GetThickness

LoftedFlangeBuilder.GetThickness

The thickness of base lofted flange.

Applicable only for Base lofted flange. Ignored for a Secondary Lofted Flange.

Signature GetThickness()

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

SetThickness

LoftedFlangeBuilder.SetThickness

The thickness of base lofted flange.

Applicable only for Base lofted flange. Ignored for a Secondary Lofted Flange.

Signature SetThickness(thickness)

Parameters:thickness (str) –

New in version NX4.0.0.

Deprecated since version NX10.0.0: Use Expression.RightHandSide() on the Expression object returned from Features.SheetMetal.LoftedFlangeBuilder.GetThickness() instead.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

Validate

LoftedFlangeBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.

ValidateBuilderData

LoftedFlangeBuilder.ValidateBuilderData

Verify user data validity.

If the data is valid, returned value should be 0.

Signature ValidateBuilderData()

Returns:Data Validity Flag.
Return type:int

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)